using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.pcl;

#nullable enable

internal class Summary
{

    public Summary(SummarySegment? mean, SummarySegment? standardDeviationPercentage, SummarySegment? radialGradient)
    {
        Mean = mean;
        StandardDeviationPercentage = standardDeviationPercentage;
        RadialGradient = radialGradient;
    }

    public SummarySegment? Mean { get; }
    public SummarySegment? StandardDeviationPercentage { get; }
    public SummarySegment? RadialGradient { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Summary))]
internal partial class SummarySourceGenerationContext : JsonSerializerContext
{
}